Subject: Re: [lojban] a beginner's questions

From: Candide Kemmler <[email-masked]>
Date: Thu, 3 Jan 2002 08:06:24 +0100

> I looked into this myself a few months ago. It should be fairly
> straightforward; from what I can tell, two things need to be done to
> get any of the several freely-available TTS (text to speech) engines
> to speak Lojban:
>
> 1) Write some code that converts written text to phonetic
> representation (diphones or phenomes, including stress and pause
> markers). For many languages this is very challenging, but for
> Lojban it should be trivial.
>
> 2) Record and process lots of voice samples containing all the
> basic sounds of the language in all their possible 2-sound
> combinations. (The combinations are necessary in order to get
> the transitions.) This is the time-consuming part. It should
> be done entirely by one speaker.
>
> Alternatively, find a voice recorded for another language that
> has all the same sounds as Lojban. English won't work (doesn't
> have Lojban's 'x'). The resulting voice will sound a lot like
> the language the voice was originally prepared for.
>
> I would be interested in helping out on such a project. Specifically,
> I'll handle the first part (the easy part) if somebody will get the
> recordings together for the second part.

Great. This is immensely fun I think. I've already asked my local Apple 
dealer about de price of a good microphone. We have multimedia/video 
editing folks here, so I'm sure I'll get help aplenty. Unfortunately, 
I've tried to compile Flite on my iBook, and the architecture's not 
recognized; so I'll have to get me a Linux box in the office. Shouldn't 
be a problem anyway.

Is Flite the right package to begin with ? When do we start ? (Pardon my 
enthousiasm...)

Regards,

Candide